"use strict";
const common_vendor = require("../../../../common/vendor.js");
const common_libraries_day = require("../../../../common/libraries/day.js");
const ME_instrument_list_method = require("../method.js");
const ME_instrument_list_model = require("../model.js");
require("../../../../common/libraries/apiLoading.js");
require("../../../../gen/Apis.js");
require("../../../../common/libraries/request.js");
require("../../../../common/store/useWeAppAuthStore.js");
require("../../../../common/store/useWatermarkStore.js");
require("../../../../common/store/useWorkStore.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "SharedAreaList",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value, (i, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.name),
            b: (i == null ? void 0 : i.usage_type) === "WaterMeter"
          }, (i == null ? void 0 : i.usage_type) === "WaterMeter" ? {} : {}, {
            c: (i == null ? void 0 : i.usage_type) === "ElectricMeter"
          }, (i == null ? void 0 : i.usage_type) === "ElectricMeter" ? {} : {}, {
            d: (i == null ? void 0 : i.usage_type) === "GasMeter"
          }, (i == null ? void 0 : i.usage_type) === "GasMeter" ? {} : {}, {
            e: (i == null ? void 0 : i.usage_type) === "HeatingMeter"
          }, (i == null ? void 0 : i.usage_type) === "HeatingMeter" ? {} : {}, {
            f: common_vendor.f(i == null ? void 0 : i.house_meter_has_houses, (item, index2, i1) => {
              return {
                a: common_vendor.t(item == null ? void 0 : item.full_name),
                b: `item_${index2}`
              };
            }),
            g: common_vendor.t(i == null ? void 0 : i.remark),
            h: common_vendor.t(i == null ? void 0 : i.latest_value),
            i: common_vendor.t(common_vendor.unref(common_libraries_day.ShowLastTime)(i == null ? void 0 : i.latest_time)),
            j: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _a2.handleToAdd(i);
            }, `items_${index}`),
            k: `items_${index}`
          });
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-13c3768e"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/instrument/list/components/SharedAreaList.vue"]]);
wx.createComponent(Component);
